Index: fittingview/src/sans/perspectives/fitting/basepage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/basepage.py	(revision f992a06e61976845619bed3fe4df39c8886b2432)
+++ fittingview/src/sans/perspectives/fitting/basepage.py	(revision ef26c8354b6185342ee4ec2f74e2fe34c632c808)
@@ -3294,14 +3236,14 @@
                         if len(pd_vals) == len(pd_weights):
                             self._set_disp_array_cb(item=item)
-                            self._set_array_disp_model(name=name, 
+                            self._set_array_disp_model(name=name,
                                                        disp=disp_model,
-                                                       values=pd_vals, 
+                                                       values=pd_vals,
                                                        weights=pd_weights)
                             is_array = True
                 except:
-                    pass 
+                    pass
                 if not is_array:
                     self._disp_obj_dict[name] = disp_model
-                    self.model.set_dispersion(name, 
+                    self.model.set_dispersion(name,
                                               disp_model)
                     self.state._disp_obj_dict[name] = \
@@ -3309,11 +3251,11 @@
                     self.model.set_dispersion(param_name, disp_model)
                     self.state.values = self.values
-                    self.state.weights = self.weights    
+                    self.state.weights = self.weights
                     self.model._persistency_dict[param_name] = \
-                                            [self.state.values, 
+                                            [self.state.values,
                                              self.state.weights]
                          
             except:
-                print "Error in BasePage._paste_poly_help: %s" % sys.exc_value 
+                print "Error in BasePage._paste_poly_help: %s" % sys.exc_value
     
     def _set_disp_array_cb(self, item):
@@ -3338,4 +3280,2 @@
         print "BasicPage.update_pinhole_smear was called: skipping"
         return
-
-        
